## prboom-plus 2.5.1.7um+git89

=== prboom2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project("PrBoom-Plus" VERSION 2.5.1.7)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(TargetArch)

include(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

# Automated dependencies discovery, mostly needed for MSVC
target_architecture(TARGET_ARCH)
if(${TARGET_ARCH} MATCHES "i386")
    set(DEPENDENCY_SUFFIX x86)
elseif(${TARGET_ARCH} MATCHES "x86_64")
    set(DEPENDENCY_SUFFIX x64)
endif()
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../dependencies_${DEPENDENCY_SUFFIX}")

set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "prboom-plus")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")

include(CheckSymbolExists)

check_symbol_exists(stricmp "string.h" HAVE_STRICMP)
if(NOT HAVE_STRICMP)
    add_definitions("-Dstricmp=strcasecmp")
endif()
check_symbol_exists(strnicmp "string.h" HAVE_STRNICMP)
if(NOT HAVE_STRNICMP)
    add_definitions("-Dstrnicmp=strncasecmp")
endif()

check_symbol_exists(getopt "unistd.h" HAVE_GETOPT)
check_symbol_exists(mmap "sys/mman.h" HAVE_MMAP)
if(NOT WIN32)
    set(CMAKE_REQUIRED_DEFINITIONS_PREV ${CMAKE_REQUIRED_DEFINITIONS})
    set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -D_GNU_SOURCE)
    check_symbol_exists(sched_setaffinity "sched.h" HAVE_SCHED_SETAFFINITY)
    set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS_PREV})
    if(HAVE_SCHED_SETAFFINITY)
        add_definitions(-D_GNU_SOURCE)
    endif()
endif()
check_symbol_exists(usleep "unistd.h" HAVE_USLEEP)
check_symbol_exists(sys_siglist "signal.h" HAVE_DECL_SYS_SIGLIST)

include(CheckIncludeFile)

check_include_file("sys/wait.h" HAVE_SYS_WAIT_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("asm/byteorder.h" HAVE_ASM_BYTEORDER_H)

option(BUILD_GL "Enable OpenGL rendering code" ON)
if(BUILD_GL)
    find_package(OpenGL)
endif()

find_package(SDL2 REQUIRED)

option(WITH_IMAGE "Use SDL2_image if available" ON)
if(WITH_IMAGE)
    find_package(SDL2_image)
    if(SDL2_IMAGE_FOUND)
        set(HAVE_LIBSDL2_IMAGE TRUE)
    endif()
endif()

option(WITH_MIXER "Use SDL2_mixer if available" ON)
if(WITH_MIXER)
    find_package(SDL2_mixer)
    if(SDL2_MIXER_FOUND)
        set(HAVE_LIBSDL2_MIXER TRUE)
    endif()
endif()

option(WITH_NET "Use SDL2_net if available" ON)
if(WITH_NET)
    find_package(SDL2_net)
    if(SDL2_NET_FOUND)
        set(HAVE_NET TRUE)
        set(USE_SDL_NET TRUE)
    endif()
endif()

option(WITH_PCRE "Use PCRE if available" ON)
if(WITH_PCRE)
    find_package(PCREPOSIX)
    if(PCREPOSIX_FOUND)
        set(HAVE_LIBPCREPOSIX TRUE)
    endif()
endif()

option(WITH_ZLIB "Use ZLIB if available" ON)
if(WITH_ZLIB)
    find_package(ZLIB)
    if(ZLIB_FOUND)
        set(HAVE_LIBZ TRUE)
    endif()
endif()

option(WITH_MAD "Use libmad if available" ON)
if(WITH_MAD)
    find_package(LibMad)
    if(LIBMAD_FOUND)
        set(HAVE_LIBMAD TRUE)
    endif()
endif()

option(WITH_FLUIDSYNTH "Use FluidSynth if available" ON)
if(WITH_FLUIDSYNTH)
    find_package(FluidSynth)
    if(FLUIDSYNTH_FOUND)
        set(HAVE_LIBFLUIDSYNTH TRUE)
    endif()
endif()

option(WITH_DUMB "Use DUMB if available" ON)
if(WITH_DUMB)
    find_package(DUMB)
    if(DUMB_FOUND)
        set(HAVE_LIBDUMB TRUE)
    endif()
endif()

option(WITH_VORBISFILE "Use vorbisfile if available" ON)
if(WITH_VORBISFILE)
    find_package(Vorbis)
    if(VORBIS_FOUND)
        set(HAVE_LIBVORBISFILE TRUE)
    endif()
endif()

option(WITH_PORTMIDI "Use PortMidi if available" ON)
if(WITH_PORTMIDI)
    find_package(PortMidi)
    if(PortMidi_FOUND)
        set(HAVE_LIBPORTMIDI TRUE)
    endif()
endif()

set(CMAKE_REQUIRED_INCLUDES_PREV ${CMAKE_REQUIRED_INCLUDES})
set(CMAKE_REQUIRED_LIBRARIES_PREV ${CMAKE_REQUIRED_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${SDL2_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SDL2_LIBRARIES})
check_symbol_exists(SDL_JoystickGetAxis "SDL.h" HAVE_SDL_JOYSTICKGETAXIS)
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES_PREV})
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES_PREV})

set(DOOMWADDIR "${CMAKE_INSTALL_PREFIX}/share/games/doom" CACHE PATH "Path to look for WAD files")

option(SIMPLECHECKS "Enable checks which only impose significant overhead if a posible error is detected" ON)
option(ZONEIDCHECK "Enable id checks on zone blocks, to detect corrupted and illegally freed blocks" ON)

# Debug options, disabled by default
option(RANGECHECK "Enable internal range checking" OFF)
option(INSTRUMENTED "Enable real-time memory allocation statistics, and extra debugging features" OFF)
option(TIMEDIAG "Enable creation of time stamps each time a lump is locked, and reporting of lumps locked for long periods of time" OFF)
option(HEAPCHECK "Turn on continuous heap checking (very slow)" OFF)
option(HEAPDUMP "Turn on dumping the heap state for debugging" OFF)

configure_file(cmake/config.h.cin config.h)

add_definitions(-DHAVE_CONFIG_H)

if (MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS")
else()
    set(CMAKE_C_FLAGS
        "${CMAKE_C_FLAGS} \
        -Wall -Wno-missing-field-initializers -Wwrite-strings -Wundef \
        -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeclaration-after-statement \
        -Wpointer-arith -Wno-unused -Wno-switch -Wno-sign-compare -Wno-pointer-sign \
        -ffast-math"
    )
endif()

set(PRBOOM_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(WAD_DATA prboom-plus.wad)
set(WAD_DATA_PATH "${PRBOOM_OUTPUT_PATH}/${WAD_DATA}")

add_subdirectory(data)
add_subdirectory(src)

=== prboom2/data/CMakeLists.txt ===
# PrBoom-Plus WAD creation tool

set(RDATAWAD_SOURCES
    rd_main.c
    rd_util.c
    rd_util.h
    rd_output.c
    rd_output.h
    rd_sound.c
    rd_sound.h
    rd_palette.c
    rd_palette.h
    rd_graphic.c
    rd_graphic.h
)

add_executable(rdatawad ${RDATAWAD_SOURCES})
target_include_directories(rdatawad PRIVATE ${CMAKE_BINARY_DIR})


# PrBoom-Plus internal WAD

set(PALETTE
    palette.rgb
)

set(LUMPS
    lumps/switches.lmp
    lumps/animated.lmp
    lumps/crbrick.lmp
    lumps/crtan.lmp
    lumps/crgray.lmp
    lumps/crgreen.lmp
    lumps/crbrown.lmp
    lumps/crgold.lmp
    lumps/crred.lmp
    lumps/crblue.lmp
    lumps/crblue2.lmp
    lumps/crorange.lmp
    lumps/cryellow.lmp
)

set(COLORMAPS 
    lumps/watermap.lmp
)

set(TABLES
    lumps/sinetabl.lmp
    lumps/tangtabl.lmp
    lumps/tantoang.lmp
    lumps/gammatbl.lmp
    lumps/chexdeh.lmp
    lumps/bfgbex.lmp
    lumps/nervebex.lmp
    lumps/glshadow.lmp
    lumps/glfp.lmp
    lumps/glvp.lmp
    lumps/-prbhud-.lmp
    lumps/m_ammo.lmp
    lumps/m_armour.lmp
    lumps/m_arrow.lmp
    lumps/m_health.lmp
    lumps/m_key.lmp
    lumps/m_normal.lmp
    lumps/m_shadow.lmp
    lumps/m_power.lmp
    lumps/m_weap.lmp
    lumps/m_mark.lmp
)

set(SOUNDS
    sounds/dsdgsit.wav
    sounds/dsdgatk.wav
    sounds/dsdgact.wav
    sounds/dsdgdth.wav
    sounds/dsdgpain.wav
)

set(GRAPHICS
    graphics/dig0.ppm
    graphics/dig1.ppm
    graphics/dig2.ppm
    graphics/dig3.ppm
    graphics/dig4.ppm
    graphics/dig5.ppm
    graphics/dig6.ppm
    graphics/dig7.ppm
    graphics/dig8.ppm
    graphics/dig9.ppm
    graphics/diga.ppm
    graphics/digb.ppm
    graphics/digc.ppm
    graphics/digd.ppm
    graphics/dige.ppm
    graphics/digf.ppm
    graphics/digg.ppm
    graphics/digh.ppm
    graphics/digi.ppm
    graphics/digj.ppm
    graphics/digk.ppm
    graphics/digl.ppm
    graphics/digm.ppm
    graphics/dign.ppm
    graphics/digo.ppm
    graphics/digp.ppm
    graphics/digq.ppm
    graphics/digr.ppm
    graphics/digs.ppm
    graphics/digt.ppm
    graphics/digu.ppm
    graphics/digv.ppm
    graphics/digw.ppm
    graphics/digx.ppm
    graphics/digy.ppm
    graphics/digz.ppm
    graphics/dig45.ppm
    graphics/dig47.ppm
    graphics/dig58.ppm
    graphics/dig91.ppm
    graphics/dig93.ppm
    graphics/stbr123.ppm
    graphics/stbr124.ppm
    graphics/stbr125.ppm
    graphics/stbr126.ppm
    graphics/stbr127.ppm
    graphics/boxul.ppm
    graphics/boxuc.ppm
    graphics/boxur.ppm
    graphics/boxcl.ppm
    graphics/boxcc.ppm
    graphics/boxcr.ppm
    graphics/boxll.ppm
    graphics/boxlc.ppm
    graphics/boxlr.ppm
    graphics/stkeys6.ppm
    graphics/stkeys7.ppm
    graphics/stkeys8.ppm
    graphics/stcfn096.ppm
    graphics/m_butt1.ppm
    graphics/m_butt2.ppm
    graphics/m_colors.ppm
    graphics/m_palno.ppm
    graphics/m_palsel.ppm
    graphics/m_vbox.ppm
    graphics/cross1.ppm
    graphics/cross2.ppm
    graphics/cross3.ppm
)

set(FLATS
    flats/-n0_tex-.ppm
)

set(SPRITES
    sprites/tnt1a0.ppm
)
set(SPRITEP "0,0,sprites/tnt1a0.ppm")

set(SPRITES
    ${SPRITES}
    sprites/dogsa1.ppm
    sprites/dogsa2.ppm
    sprites/dogsa3.ppm
    sprites/dogsa4.ppm
    sprites/dogsa5.ppm
    sprites/dogsa6.ppm
    sprites/dogsa7.ppm
    sprites/dogsa8.ppm
    sprites/dogsb1.ppm
    sprites/dogsb2.ppm
    sprites/dogsb3.ppm
    sprites/dogsb4.ppm
    sprites/dogsb5.ppm
    sprites/dogsb6.ppm
    sprites/dogsb7.ppm
    sprites/dogsb8.ppm
    sprites/dogsc1.ppm
    sprites/dogsc2.ppm
    sprites/dogsc3.ppm
    sprites/dogsc4.ppm
    sprites/dogsc5.ppm
    sprites/dogsc6.ppm
    sprites/dogsc7.ppm
    sprites/dogsc8.ppm
    sprites/dogsd1.ppm
    sprites/dogsd2.ppm
    sprites/dogsd3.ppm
    sprites/dogsd4.ppm
    sprites/dogsd5.ppm
    sprites/dogsd6.ppm
    sprites/dogsd7.ppm
    sprites/dogsd8.ppm
    sprites/dogse1.ppm
    sprites/dogse2.ppm
    sprites/dogse3.ppm
    sprites/dogse4.ppm
    sprites/dogse5.ppm
    sprites/dogse6.ppm
    sprites/dogse7.ppm
    sprites/dogse8.ppm
    sprites/dogsf1.ppm
    sprites/dogsf2.ppm
    sprites/dogsf3.ppm
    sprites/dogsf4.ppm
    sprites/dogsf5.ppm
    sprites/dogsf6.ppm
    sprites/dogsf7.ppm
    sprites/dogsf8.ppm
    sprites/dogsg1.ppm
    sprites/dogsg2.ppm
    sprites/dogsg3.ppm
    sprites/dogsg4.ppm
    sprites/dogsg5.ppm
    sprites/dogsg6.ppm
    sprites/dogsg7.ppm
    sprites/dogsg8.ppm
    sprites/dogsh1.ppm
    sprites/dogsh2.ppm
    sprites/dogsh3.ppm
    sprites/dogsh4.ppm
    sprites/dogsh5.ppm
    sprites/dogsh6.ppm
    sprites/dogsh7.ppm
    sprites/dogsh8.ppm
    sprites/dogsi0.ppm
    sprites/dogsj0.ppm
    sprites/dogsk0.ppm
    sprites/dogsl0.ppm
    sprites/dogsm0.ppm
    sprites/dogsn0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "33,66,sprites/dogsa1.ppm"
    "33,66,sprites/dogsa2.ppm"
    "33,66,sprites/dogsa3.ppm"
    "33,66,sprites/dogsa4.ppm"
    "33,66,sprites/dogsa5.ppm"
    "33,66,sprites/dogsa6.ppm"
    "33,66,sprites/dogsa7.ppm"
    "33,66,sprites/dogsa8.ppm"
    "33,66,sprites/dogsb1.ppm"
    "33,66,sprites/dogsb2.ppm"
    "33,66,sprites/dogsb3.ppm"
    "33,66,sprites/dogsb4.ppm"
    "33,66,sprites/dogsb5.ppm"
    "33,66,sprites/dogsb6.ppm"
    "33,66,sprites/dogsb7.ppm"
    "33,66,sprites/dogsb8.ppm"
    "33,66,sprites/dogsc1.ppm"
    "33,66,sprites/dogsc2.ppm"
    "33,66,sprites/dogsc3.ppm"
    "33,66,sprites/dogsc4.ppm"
    "33,66,sprites/dogsc5.ppm"
    "33,66,sprites/dogsc6.ppm"
    "33,66,sprites/dogsc7.ppm"
    "33,66,sprites/dogsc8.ppm"
    "33,66,sprites/dogsd1.ppm"
    "33,66,sprites/dogsd2.ppm"
    "33,66,sprites/dogsd3.ppm"
    "33,66,sprites/dogsd4.ppm"
    "33,66,sprites/dogsd5.ppm"
    "33,66,sprites/dogsd6.ppm"
    "33,66,sprites/dogsd7.ppm"
    "33,66,sprites/dogsd8.ppm"
    "33,66,sprites/dogse1.ppm"
    "33,66,sprites/dogse2.ppm"
    "33,66,sprites/dogse3.ppm"
    "33,66,sprites/dogse4.ppm"
    "33,66,sprites/dogse5.ppm"
    "33,66,sprites/dogse6.ppm"
    "33,66,sprites/dogse7.ppm"
    "33,66,sprites/dogse8.ppm"
    "33,66,sprites/dogsf1.ppm"
    "33,66,sprites/dogsf2.ppm"
    "33,66,sprites/dogsf3.ppm"
    "33,66,sprites/dogsf4.ppm"
    "33,66,sprites/dogsf5.ppm"
    "33,66,sprites/dogsf6.ppm"
    "33,66,sprites/dogsf7.ppm"
    "33,66,sprites/dogsf8.ppm"
    "33,66,sprites/dogsg1.ppm"
    "33,66,sprites/dogsg2.ppm"
    "33,66,sprites/dogsg3.ppm"
    "33,66,sprites/dogsg4.ppm"
    "33,66,sprites/dogsg5.ppm"
    "33,66,sprites/dogsg6.ppm"
    "33,66,sprites/dogsg7.ppm"
    "33,66,sprites/dogsg8.ppm"
    "33,66,sprites/dogsh1.ppm"
    "33,66,sprites/dogsh2.ppm"
    "33,66,sprites/dogsh3.ppm"
    "33,66,sprites/dogsh4.ppm"
    "33,66,sprites/dogsh5.ppm"
    "33,66,sprites/dogsh6.ppm"
    "33,66,sprites/dogsh7.ppm"
    "33,66,sprites/dogsh8.ppm"
    "33,67,sprites/dogsi0.ppm"
    "33,67,sprites/dogsj0.ppm"
    "33,67,sprites/dogsk0.ppm"
    "33,67,sprites/dogsl0.ppm"
    "33,68,sprites/dogsm0.ppm"
    "33,69,sprites/dogsn0.ppm"
)

set(SPRITES
    ${SPRITES}
    sprites/pls1a0.ppm
    sprites/pls1b0.ppm
    sprites/pls1c0.ppm
    sprites/pls1d0.ppm
    sprites/pls1e0.ppm
    sprites/pls1f0.ppm
    sprites/pls1g0.ppm
    sprites/pls2a0.ppm
    sprites/pls2b0.ppm
    sprites/pls2c0.ppm
    sprites/pls2d0.ppm
    sprites/pls2e0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "9,11,sprites/pls1a0.ppm"
    "8,11,sprites/pls1b0.ppm"
    "9,11,sprites/pls1c0.ppm"
    "8,11,sprites/pls1d0.ppm"
    "16,27,sprites/pls1e0.ppm"
    "16,27,sprites/pls1f0.ppm"
    "18,27,sprites/pls1g0.ppm"
    "9,11,sprites/pls2a0.ppm"
    "8,13,sprites/pls2b0.ppm"
    "11,18,sprites/pls2c0.ppm"
    "16,27,sprites/pls2d0.ppm"
    "18,27,sprites/pls2e0.ppm"
)

set(WAD_SRC 
    ${PALETTE}
    ${LUMPS}
    ${COLORMAPS}
    ${TABLES}
    ${SOUNDS}
    ${GRAPHICS}
    ${FLATS}
    ${SPRITES}
)

set(WAD_CMDLINE 
    -palette ${PALETTE}
    -lumps ${LUMPS}
    -marker C_START -lumps ${COLORMAPS} -marker C_END
    -marker B_START -lumps ${TABLES} -marker B_END
    -sounds ${SOUNDS}
    -graphics ${GRAPHICS}
    -marker FF_START -flats ${FLATS} -marker FF_END
    -marker SS_START -sprites ${SPRITEP} -marker SS_END
)

add_custom_command(
    OUTPUT "${WAD_DATA_PATH}"
    COMMAND rdatawad -I "${CMAKE_CURRENT_SOURCE_DIR}" ${WAD_CMDLINE} -o "${WAD_DATA_PATH}"
    DEPENDS rdatawad ${WAD_SRC}
)
add_custom_target(prboomwad DEPENDS ${WAD_DATA_PATH})
install(FILES ${WAD_DATA_PATH} DESTINATION ${DOOMWADDIR} COMPONENT "PrBoom-Plus internal WAD")

=== prboom2/src/CMakeLists.txt ===

function(ApplySDL2NetOptions TARGET)
    if(SDL2_NET_FOUND)
        target_include_directories(${TARGET} PRIVATE ${SDL2_NET_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${SDL2_NET_LIBRARIES})
    endif()
endfunction()

# PrBoom main executable

set(COMMON_SRC
    am_map.c
    am_map.h
    doomdata.h
    doomdef.c
    doomdef.h
    doomstat.c
    doomstat.h
    doomtype.h
    dstrings.c
    dstrings.h
    d_deh.c
    d_deh.h
    d_englsh.h
    d_event.h
    d_items.c
    d_items.h
    d_main.c
    d_main.h
    d_net.h
    d_player.h
    d_think.h
    d_ticcmd.h
    e6y.c
    e6y.h
    f_finale.c
    f_finale.h
    f_finale2.c
    f_wipe.c
    f_wipe.h
    g_game.c
    g_game.h
    g_overflow.c
    g_overflow.h
    hu_lib.c
    hu_lib.h
    hu_stuff.c
    hu_stuff.h
    hu_tracers.c
    hu_tracers.h
    info.c
    info.h
    i_capture.c
    i_capture.h
    i_joy.h
    i_main.h
    i_network.h
    i_pcsound.c
    i_pcsound.h
    i_sound.h
    i_system.h
    i_video.h
    lprintf.c
    lprintf.h
    md5.c
    md5.h
    m_argv.c
    m_argv.h
    m_bbox.c
    m_bbox.h
    m_cheat.c
    m_cheat.h
    m_fixed.h
    m_menu.c
    m_menu.h
    m_misc.c
    m_misc.h
    m_random.c
    m_random.h
    m_swap.h
    protocol.h
    p_ceilng.c
    p_checksum.c
    p_checksum.h
    p_doors.c
    p_enemy.c
    p_enemy.h
    p_floor.c
    p_genlin.c
    p_inter.c
    p_inter.h
    p_lights.c
    p_map.c
    p_map.h
    p_maputl.c
    p_maputl.h
    p_mobj.c
    p_mobj.h
    p_plats.c
    p_pspr.c
    p_pspr.h
    p_saveg.c
    p_saveg.h
    p_setup.c
    p_setup.h
    p_sight.c
    p_spec.c
    p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c
    p_tick.h
    p_user.c
    p_user.h
    r_bsp.c
    r_bsp.h
    r_data.c
    r_data.h
    r_defs.h
    r_demo.c
    r_demo.h
    r_draw.c
    r_draw.h
    r_filter.c
    r_filter.h
    r_fps.c
    r_fps.h
    r_main.c
    r_main.h
    r_patch.c
    r_patch.h
    r_plane.c
    r_plane.h
    r_segs.c
    r_segs.h
    r_sky.c
    r_sky.h
    r_state.h
    r_things.c
    r_things.h
    scanner.cpp
    scanner.h
    sc_man.c
    sc_man.h
    sounds.c
    sounds.h
    statdump.c
    statdump.h
    st_lib.c
    st_lib.h
    st_stuff.c
    st_stuff.h
    s_advsound.c
    s_advsound.h
    s_sound.c
    s_sound.h
    tables.c
    tables.h
    umapinfo.cpp
    umapinfo.h
    version.c
    version.h
    v_video.c
    v_video.h
    wi_stuff.c
    wi_stuff.h
    w_wad.c
    w_wad.h
    z_bmalloc.c
    z_bmalloc.h
    z_zone.c
    z_zone.h
)

set(NET_CLIENT_SRC
    d_client.c
)

if(HAVE_MMAP)
    set(WAD_SRC w_mmap.c)
else()
    set(WAD_SRC w_memcache.c)
endif()

set(MUS2MID_SRC
    memio.c
    memio.h
    mus2mid.c
    mus2mid.h
)

set(SDLDOOM_SOURCES
    SDL/i_joy.c
    SDL/i_main.c
    SDL/i_network.c
    SDL/i_sound.c
    SDL/i_sshot.c
    SDL/i_system.c
    SDL/i_video.c
)

set(PCSOUND_SOURCES
    PCSOUND/pcsound.c
    PCSOUND/pcsound.h
    PCSOUND/pcsound_linux.c
    PCSOUND/pcsound_sdl.c
    PCSOUND/pcsound_win32.c
)

set(TEXTSCREEN_SOURCES
    TEXTSCREEN/doomkeys.h
    TEXTSCREEN/txt_main.h
    TEXTSCREEN/txt_font.h
    TEXTSCREEN/txt_largefont.h
    TEXTSCREEN/txt_sdl.c
    TEXTSCREEN/txt_sdl.h
    TEXTSCREEN/txt_smallfont.h
)

set(DOOMMUSIC_SOURCES
    MUSIC/dbopl.c
    MUSIC/dbopl.h
    MUSIC/dumbplayer.c
    MUSIC/dumbplayer.h
    MUSIC/flplayer.c
    MUSIC/flplayer.h
    MUSIC/madplayer.c
    MUSIC/madplayer.h
    MUSIC/midifile.c
    MUSIC/midifile.h
    MUSIC/musicplayer.h
    MUSIC/opl.c
    MUSIC/opl.h
    MUSIC/oplplayer.c
    MUSIC/oplplayer.h
    MUSIC/opl_queue.c
    MUSIC/opl_queue.h
    MUSIC/portmidiplayer.c
    MUSIC/portmidiplayer.h
    MUSIC/vorbisplayer.c
    MUSIC/vorbisplayer.h
)

set(EXTRA_FILES
    r_drawcolpipeline.inl
    r_drawcolumn.inl
    r_drawflush.inl
    r_drawspan.inl
)

set(PRBOOM_PLUS_SOURCES
    ${COMMON_SRC}
    ${NET_CLIENT_SRC}
    ${WAD_SRC}
    ${MUS2MID_SRC}
    ${SDLDOOM_SOURCES}
    ${PCSOUND_SOURCES}
    ${TEXTSCREEN_SOURCES}
    ${DOOMMUSIC_SOURCES}
    ${EXTRA_FILES}
)

function(AddGameExecutable TARGET SOURCES)
    if(WIN32)
        add_definitions("-DUSE_WIN32_PCSOUND_DRIVER -DUSE_WINDOWS_LAUNCHER")
        set(SOURCES
            ${SOURCES}
            ../ICONS/icons.rc
            e6y_launcher.c
            e6y_launcher.h
            SDL/SDL_windows_main.c
        )
    endif()

    add_definitions("-DUSE_EXPERIMENTAL_MUSIC")

    add_executable(${TARGET} WIN32 ${SOURCES})
    target_include_directories(${TARGET} PRIVATE
        ${SDL2_INCLUDE_DIRS}
        ${CMAKE_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
    )
    target_link_libraries(${TARGET} PRIVATE
        ${SDL2_LIBRARIES}
    )
    if(WIN32)
        target_link_libraries(${TARGET} PRIVATE
            winmm
            comctl32
        )
    endif()
    set_target_properties(${TARGET} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${PRBOOM_OUTPUT_PATH}
    )
    if(SDL2_IMAGE_FOUND)
        target_include_directories(${TARGET} PRIVATE ${SDL2_IMAGE_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${SDL2_IMAGE_LIBRARIES})
    endif()
    if(SDL2_MIXER_FOUND)
        target_include_directories(${TARGET} PRIVATE ${SDL2_MIXER_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${SDL2_MIXER_LIBRARIES})
    endif()
    if(PCREPOSIX_FOUND)
        target_include_directories(${TARGET} PRIVATE ${PCRE_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${PCREPOSIX_LIBRARIES})
    endif()
    ApplySDL2NetOptions(${TARGET})
    if(ZLIB_FOUND)
        target_include_directories(${TARGET} PRIVATE ${ZLIB_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${ZLIB_LIBRARIES})
    endif()
    if(LIBMAD_FOUND)
        target_include_directories(${TARGET} PRIVATE ${LIBMAD_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${LIBMAD_LIBRARIES})
    endif()
    if(FLUIDSYNTH_FOUND)
        target_include_directories(${TARGET} PRIVATE ${FLUIDSYNTH_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${FLUIDSYNTH_LIBRARIES})
    endif()
    if(DUMB_FOUND)
        target_include_directories(${TARGET} PRIVATE ${DUMB_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${DUMB_LIBRARY})
    endif()
    if(VORBIS_FOUND)
        target_include_directories(${TARGET} PRIVATE ${VORBIS_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${VORBISFILE_LIBRARY})
    endif()
    if(PortMidi_FOUND)
        target_include_directories(${TARGET} PRIVATE ${PORTMIDI_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${PORTMIDI_LIBRARIES})
    endif()
    add_dependencies(${TARGET} prboomwad)

    if(MSVC)
        set_target_properties(${TARGET} PROPERTIES
            LINK_FLAGS "/MANIFEST:NO"
        )
        add_custom_command(TARGET ${TARGET} POST_BUILD
            COMMAND "mt.exe" -manifest \"${CMAKE_CURRENT_SOURCE_DIR}\\..\\ICONS\\prboom-plus.exe.manifest\" -outputresource:\"$<TARGET_FILE:prboom-plus>\"\;\#1
            COMMAND ${CMAKE_COMMAND} -E copy_if_different ${WAD_DATA_PATH} $<TARGET_FILE_DIR:prboom-plus>
        )
    endif()

    install(TARGETS ${TARGET} COMPONENT "Game executable")
endfunction()

AddGameExecutable(prboom-plus "${PRBOOM_PLUS_SOURCES}")

# GLBoom main executable

if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
    set(GLBOOM_PLUS_SOURCES
        ${PRBOOM_PLUS_SOURCES}
        gl_clipper.c
        gl_detail.c
        gl_drawinfo.c
        gl_fbo.c
        gl_gamma.c
        gl_hires.c
        gl_hqresize.c
        gl_intern.h
        gl_light.c
        gl_main.c
        gl_map.c
        gl_missingtexture.c
        gl_opengl.c
        gl_opengl.h
        gl_preprocess.c
        gl_shader.c
        gl_shadow.c
        gl_sky.c
        gl_struct.h
        gl_texture.c
        gl_vertex.c
        gl_wipe.c
    )

    AddGameExecutable(glboom-plus "${GLBOOM_PLUS_SOURCES}")
    target_compile_definitions(glboom-plus PRIVATE
        GL_DOOM
        USE_SHADERS
        USE_FBO_TECHNIQUE
        USE_GLU_IMAGESCALE
        USE_GLU_MIPMAP
        USE_GLU_TESS
    )
    target_link_libraries(glboom-plus PRIVATE
        ${OPENGL_gl_LIBRARY}
        ${OPENGL_glu_LIBRARY}
    )
endif()


# PrBoom-Plus server executable

option(BUILD_SERVER "Build PrBoom-Plus server executable" ON)

if(BUILD_SERVER AND SDL2_NET_FOUND)
    set(PRBOOM_PLUS_GAME_SERVER_SOURCES
        d_server.c
        protocol.h
        SDL/i_network.c
    )

    if(MSVC)
        set(PRBOOM_PLUS_GAME_SERVER_SOURCES
            ${PRBOOM_PLUS_GAME_SERVER_SOURCES}
            SDL/i_system.c
        )
    else()
        set(PRBOOM_PLUS_GAME_SERVER_SOURCES
            ${PRBOOM_PLUS_GAME_SERVER_SOURCES}
            POSIX/i_system.c
        )
    endif()

    add_executable(prboom-plus-game-server ${PRBOOM_PLUS_GAME_SERVER_SOURCES})
    target_include_directories(prboom-plus-game-server PRIVATE
        ${SDL2_INCLUDE_DIRS}
        ${CMAKE_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
    )
    target_link_libraries(prboom-plus-game-server PRIVATE
        ${SDL2_LIBRARIES}
    )
    set_target_properties(prboom-plus-game-server PROPERTIES
        COMPILE_DEFINITIONS PRBOOM_SERVER
        RUNTIME_OUTPUT_DIRECTORY ${PRBOOM_OUTPUT_PATH}
    )
    ApplySDL2NetOptions(prboom-plus-game-server)
    install(TARGETS prboom-plus-game-server COMPONENT "Game server executable")
endif()


# PrBoom-Plus macOS launcher

if(APPLE)
    set(LAUNCHER_SOURCES
        MAC/ANSIString.m
        MAC/ConsoleController.h
        MAC/ConsoleController.m
        MAC/DrawerButton.h
        MAC/DrawerButton.m
        MAC/FileButtonController.h
        MAC/FileButtonController.m
        MAC/LauncherApp.h
        MAC/LauncherApp.m
        MAC/LauncherMain.m
        MAC/ResolutionDataSource.h
        MAC/ResolutionDataSource.m
        MAC/UKFileWatcher.h
        MAC/UKKQueue.h
        MAC/UKKQueue.m
        MAC/UKMainThreadProxy.h
        MAC/UKMainThreadProxy.m
        MAC/WadViewController.h
        MAC/WadViewController.m
    )

    set(LAUNCHER_RESOURCES
        MAC/Launcher.icns
        MAC/PrBoom.icns
        MAC/PrBoom.sdef
    )
    set_source_files_properties(${LAUNCHER_RESOURCES} PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )

    set(LAUNCHER_MAINMENU_RESOURCES
        MAC/English.lproj/MainMenu.nib/classes.nib
        MAC/English.lproj/MainMenu.nib/info.nib
        MAC/English.lproj/MainMenu.nib/keyedobjects.nib
    )
    set_source_files_properties(${LAUNCHER_MAINMENU_RESOURCES} PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources/English.lproj/MainMenu.nib
    )

    add_executable(prboom-plus-launcher MACOSX_BUNDLE
        ${LAUNCHER_SOURCES}
        ${LAUNCHER_RESOURCES}
        ${LAUNCHER_MAINMENU_RESOURCES}
    )
    target_include_directories(prboom-plus-launcher PRIVATE
        ${CMAKE_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
    )
    set_target_properties(prboom-plus-launcher PROPERTIES
        LINK_FLAGS "-framework Cocoa"
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/MAC/Info.plist"
        OUTPUT_NAME "Launcher"
        RUNTIME_OUTPUT_DIRECTORY ${PRBOOM_OUTPUT_PATH}
        XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY ""
    )
    add_dependencies(prboom-plus-launcher prboom-plus)

    if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
        set(BUNDLE_GAME_EXECUTABLE glboom-plus)
    else()
        set(BUNDLE_GAME_EXECUTABLE prboom-plus)
    endif()

    add_custom_command(TARGET prboom-plus-launcher POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:${BUNDLE_GAME_EXECUTABLE}> $<TARGET_FILE_DIR:prboom-plus-launcher>/PrBoom-Plus
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${WAD_DATA_PATH} $<TARGET_FILE_DIR:prboom-plus-launcher>
    )

    if(BUILD_SERVER AND SDL2_NET_FOUND)
        add_dependencies(prboom-plus-launcher prboom-plus-game-server)
        add_custom_command(TARGET prboom-plus-launcher POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:prboom-plus-game-server> $<TARGET_FILE_DIR:prboom-plus-launcher>
        )
    endif()

=== debian/changelog ===
prboom-plus (2:2.5.1.7um+git89-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git89
  * Remove config-debian.patch, all changes have been addressed
    upstream.
  * Replace all Suggests with ffmpeg, upstream has switched to an
    ffmpeg-based viddump approach.
  * Adapt packaging to upstream install rule.
  * Add usr/bin/prboom-plus to debian/not-installed, we install
    usr/bin/glboom-plus instead of prboom-plus.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 26 Jun 2020 09:37:17 +0200

prboom-plus (2:2.5.1.7um+git82-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git82 from commit fa28d882.
    + Fix heap buffer overflows in UDP code (CVE-2019-20797),
      Closes: #961031.
    + Fix compilation on big-endian architectures,
      Closes: #961336.
  * Refresh config-debian.patch, the game speed changing keys
    have been unbound upstream.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 06 Jun 2020 15:09:36 +0200

prboom-plus (2:2.5.1.7um+git72-1) unstable; urgency=medium

  * Switch code base to the PrBoom+/UMAPINFO fork.
  * Adapt debian/watch file accordingly.
  * New upstream version 2.5.1.7um+git72 from commit e714a5bc.
  * Adapt debian/copyright accordingly.
  * Remove debian/gbp.conf.
  * Change default music backend back to SDL. OPL2 emulation is CPU
    expensive and MIDI rendering works with a default soundfont in SDL
    nowadays.
  * Add cmake to Build-Depends, upstream has changed the build
    system.
  * Adapt debian/rules and install rules to the changed build system.
  * Run "wrap-and-sort -asb".
  * No need to repack sources anymore, upstream has replaced or
    entirely removed all dubious or non-free data lumps.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.
  * Strip "as-needed" LDFLAGS from debian/rules.
  * Remove obsolete Breaks and Replaces relations.
  * Install glboom-plus as prboom-plus.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 May 2020 16:33:38 +0200

prboom-plus (2:2.5.1.5+svn4540+dfsg1-2) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:14:12 +0100

=== debian/control ===
Source: prboom-plus
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 libdumb1-dev,
 libfluidsynth-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libmad0-dev,
 libpcre3-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 libsdl2-dev (>= 2.0.0),
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libvorbis-dev
Standards-Version: 4.5.0
Homepage: https://github.com/coelckers/prboom-plus
Vcs-Git: https://salsa.debian.org/games-team/prboom-plus.git
Vcs-Browser: https://salsa.debian.org/games-team/prboom-plus
Rules-Requires-Root: no

Package: prboom-plus
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Suggests:
 ffmpeg
Provides:
 boom-engine,
 doom-engine
Description: enhanced clone of the classic first-person shooter Doom
 PrBoom+ is an enhanced source port of the classic 3D first-person
 shooter game Doom, first released by id Software in 1993. It uses
 the Simple Direct Media layer (SDL) library and features an optional
 OpenGL renderer. It is based on PrBoom, MBF and LxDoom, which in turn
 are based on TeamTNT's Boom, a freely available port of Doom for DOS.
 .
 In addition to PrBoom's features, PrBoom+ offers uncapped framerate,
 variable gamespeed, re-record, walkcam, chasecam, full mouselook,
 FOV, and other features without loss of compatibility with the
 original Doom.
 .
 PrBoom+ requires game data to run. Free game data is available in the
 freedoom package. Commercial game data can be packaged using
 game-data-packager. PrBoom+ supports all flavors of Doom, including
 The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HACX,
 FreeDoom and FreeDM.

Package: prboom-plus-game-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: enhanced clone of the classic first-person shooter Doom (server)
 PrBoom+ is an enhanced source port of the classic 3D first-person
 shooter game Doom, first released by id Software in 1993. It uses
 the Simple Direct Media layer (SDL) library and features an optional
 OpenGL renderer. It is based on PrBoom, MBF and LxDoom, which in turn
 are based on TeamTNT's Boom, a freely available port of Doom for DOS.
 .
 In addition to PrBoom's features, PrBoom+ offers uncapped framerate,
 variable gamespeed, re-record, walkcam, chasecam, full mouselook,
 FOV, and other features without loss of compatibility with the
 original Doom.
 .
 This package contains the server for network games of PrBoom+.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ \
		--sourcedirectory=prboom2 \
		--with bash_completion

override_dh_install:
	dh_install
	# install glboom-plus as prboom-plus
	mv debian/prboom-plus/usr/games/glboom-plus \
	   debian/prboom-plus/usr/games/prboom-plus

## prboom-plus 2.6um

=== prboom2/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,19 @@
 cmake_minimum_required(VERSION 3.0)
 
-project("PrBoom-Plus" VERSION 2.5.1.7)
+project("PrBoom-Plus"
+    VERSION 2.6
+    HOMEPAGE_URL "https://github.com/coelckers/prboom-plus")
+
+# Set a default build type if none was specified
+set(default_build_type "RelWithDebInfo")
+if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
+  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
+  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
+      STRING "Choose the type of build." FORCE)
+  # Set the possible values of build type for cmake-gui
+  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
+    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
+endif()
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -8,6 +21,8 @@
 
 include(TestBigEndian)
 TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
+
+include(GNUInstallDirs)
 
 # Automated dependencies discovery, mostly needed for MSVC
 target_architecture(TARGET_ARCH)
@@ -20,8 +35,10 @@
 
 set(PACKAGE_NAME "${PROJECT_NAME}")
 set(PACKAGE_TARNAME "prboom-plus")
-set(PACKAGE_VERSION "${PROJECT_VERSION}")
+set(PACKAGE_VERSION "${PROJECT_VERSION}um")
+set(PACKAGE_HOMEPAGE "${PROJECT_HOMEPAGE_URL}")
 set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
+set(CMAKE_INSTALL_DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${PACKAGE_TARNAME}")
 
 include(CheckSymbolExists)
 
@@ -46,7 +63,8 @@
     endif()
 endif()
 check_symbol_exists(usleep "unistd.h" HAVE_USLEEP)
-check_symbol_exists(sys_siglist "signal.h" HAVE_DECL_SYS_SIGLIST)
+check_symbol_exists(strsignal "string.h" HAVE_STRSIGNAL)
+check_symbol_exists(mkstemp "stdlib.h" HAVE_MKSTEMP)
 
 include(CheckIncludeFile)
 
@@ -59,7 +77,7 @@
     find_package(OpenGL)
 endif()
 
-find_package(SDL2 REQUIRED)
+find_package(SDL2 2.0.7 REQUIRED)
 
 option(WITH_IMAGE "Use SDL2_image if available" ON)
 if(WITH_IMAGE)
@@ -178,10 +196,30 @@
     )
 endif()
 
+# Support cross compiling
+option(FORCE_CROSSCOMPILE "Enable cross-compilation" OFF)
+if(FORCE_CROSSCOMPILE)
+    set(CMAKE_CROSSCOMPILING ON)
+endif()
+
+if(CMAKE_CROSSCOMPILING)
+    set(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Export file from native build")
+    include(${IMPORT_EXECUTABLES})
+else()
+    if(NOT CROSS_EXPORTS)
+        set(CROSS_EXPORTS "")
+    endif()
+endif()
+
 set(PRBOOM_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
 set(WAD_DATA prboom-plus.wad)
 set(WAD_DATA_PATH "${PRBOOM_OUTPUT_PATH}/${WAD_DATA}")
 
 add_subdirectory(data)
+add_subdirectory(doc)
 add_subdirectory(src)
+
+if(NOT CMAKE_CROSSCOMPILING)
+    export(TARGETS ${CROSS_EXPORTS} FILE "${CMAKE_BINARY_DIR}/ImportExecutables.cmake")
+endif()

=== prboom2/data/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,23 @@
 # PrBoom-Plus WAD creation tool
 
-set(RDATAWAD_SOURCES
-    rd_main.c
-    rd_util.c
-    rd_util.h
-    rd_output.c
-    rd_output.h
-    rd_sound.c
-    rd_sound.h
-    rd_palette.c
-    rd_palette.h
-    rd_graphic.c
-    rd_graphic.h
-)
-
-add_executable(rdatawad ${RDATAWAD_SOURCES})
-target_include_directories(rdatawad PRIVATE ${CMAKE_BINARY_DIR})
-
+if(NOT CMAKE_CROSSCOMPILING)
+    add_executable(rdatawad 
+        rd_main.c
+        rd_util.c
+        rd_util.h
+        rd_output.c
+        rd_output.h
+        rd_sound.c
+        rd_sound.h
+        rd_palette.c
+        rd_palette.h
+        rd_graphic.c
+        rd_graphic.h
+    )
+    target_include_directories(rdatawad PRIVATE ${CMAKE_BINARY_DIR})
+
+    set(CROSS_EXPORTS ${CROSS_EXPORTS} rdatawad PARENT_SCOPE)
+endif()
 
 # PrBoom-Plus internal WAD

=== prboom2/doc/CMakeLists.txt ===
set(DOC_FILES
    boom.txt
    DeePBSPV4specs.txt
    MBFFAQ.txt
    MBF.txt
    prboom-plus-history.html
    prboom-plus-history.txt
    prboom-plus-usage.txt
    README.command-line
    README.compat
    README.demos
    umapinfo.txt
)
set(MAN5_FILES
    prboom-plus.cfg.5
)
set(MAN6_FILES
    prboom-plus.6
    prboom-plus-game-server.6
)

if(${CMAKE_VERSION} VERSION_LESS "3.14.0")
	install(FILES ${DOC_FILES} DESTINATION "${CMAKE_INSTALL_DOCDIR}" COMPONENT "Documentation")
else()
	install(FILES ${DOC_FILES} TYPE DOC COMPONENT "Documentation")
endif()
install(FILES ${MAN5_FILES} DESTINATION "${CMAKE_INSTALL_MANDIR}/man5" COMPONENT "Manpages")
install(FILES ${MAN6_FILES} DESTINATION "${CMAKE_INSTALL_MANDIR}/man6" COMPONENT "Manpages")

=== prboom2/src/CMakeLists.txt ===
--- 
+++ 
@@ -261,6 +261,34 @@
 )
 
 function(AddGameExecutable TARGET SOURCES)
+    if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
+        set(SOURCES
+            ${SOURCES}
+            gl_clipper.c
+            gl_detail.c
+            gl_drawinfo.c
+            gl_fbo.c
+            gl_gamma.c
+            gl_hires.c
+            gl_hqresize.c
+            gl_intern.h
+            gl_light.c
+            gl_main.c
+            gl_map.c
+            gl_missingtexture.c
+            gl_opengl.c
+            gl_opengl.h
+            gl_preprocess.c
+            gl_shader.c
+            gl_shadow.c
+            gl_sky.c
+            gl_struct.h
+            gl_texture.c
+            gl_vertex.c
+            gl_wipe.c
+        )
+    endif()
+
     if(WIN32)
         add_definitions("-DUSE_WIN32_PCSOUND_DRIVER -DUSE_WINDOWS_LAUNCHER")
         set(SOURCES
@@ -341,54 +369,25 @@
         )
     endif()
 
-    install(TARGETS ${TARGET} COMPONENT "Game executable")
+    install(TARGETS ${TARGET} COMPONENT "Game executable" RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
+
+    if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
+        target_compile_definitions(${TARGET} PRIVATE
+            GL_DOOM
+            USE_SHADERS
+            USE_FBO_TECHNIQUE
+            USE_GLU_IMAGESCALE
+            USE_GLU_MIPMAP
+            USE_GLU_TESS
+        )
+        target_link_libraries(${TARGET} PRIVATE
+            ${OPENGL_gl_LIBRARY}
+            ${OPENGL_glu_LIBRARY}
+        )
+    endif()
 endfunction()
 
 AddGameExecutable(prboom-plus "${PRBOOM_PLUS_SOURCES}")
-
-# GLBoom main executable
-
-if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
-    set(GLBOOM_PLUS_SOURCES
-        ${PRBOOM_PLUS_SOURCES}
-        gl_clipper.c
-        gl_detail.c
-        gl_drawinfo.c
-        gl_fbo.c
-        gl_gamma.c
-        gl_hires.c
-        gl_hqresize.c
-        gl_intern.h
-        gl_light.c
-        gl_main.c
-        gl_map.c
-        gl_missingtexture.c
-        gl_opengl.c
-        gl_opengl.h
-        gl_preprocess.c
-        gl_shader.c
-        gl_shadow.c
-        gl_sky.c
-        gl_struct.h
-        gl_texture.c
-        gl_vertex.c
-        gl_wipe.c
-    )
-
-    AddGameExecutable(glboom-plus "${GLBOOM_PLUS_SOURCES}")
-    target_compile_definitions(glboom-plus PRIVATE
-        GL_DOOM
-        USE_SHADERS
-        USE_FBO_TECHNIQUE
-        USE_GLU_IMAGESCALE
-        USE_GLU_MIPMAP
-        USE_GLU_TESS
-    )
-    target_link_libraries(glboom-plus PRIVATE
-        ${OPENGL_gl_LIBRARY}
-        ${OPENGL_glu_LIBRARY}
-    )
-endif()
 
 
 # PrBoom-Plus server executable
@@ -428,7 +427,7 @@
         RUNTIME_OUTPUT_DIRECTORY ${PRBOOM_OUTPUT_PATH}
     )
     ApplySDL2NetOptions(prboom-plus-game-server)
-    install(TARGETS prboom-plus-game-server COMPONENT "Game server executable")
+    install(TARGETS prboom-plus-game-server COMPONENT "Game server executable" RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
 endif()
 
 
@@ -493,11 +492,7 @@
     )
     add_dependencies(prboom-plus-launcher prboom-plus)
 
-    if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
-        set(BUNDLE_GAME_EXECUTABLE glboom-plus)
-    else()
-        set(BUNDLE_GAME_EXECUTABLE prboom-plus)
-    endif()
+    set(BUNDLE_GAME_EXECUTABLE prboom-plus)
 
     add_custom_command(TARGET prboom-plus-launcher POST_BUILD
         COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:${BUNDLE_GAME_EXECUTABLE}> $<TARGET_FILE_DIR:prboom-plus-launcher>/PrBoom-Plus
@@ -507,6 +502,3 @@
     if(BUILD_SERVER AND SDL2_NET_FOUND)
         add_dependencies(prboom-plus-launcher prboom-plus-game-server)
         add_custom_command(TARGET prboom-plus-launcher POST_BUILD
-            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:prboom-plus-game-server> $<TARGET_FILE_DIR:prboom-plus-launcher>
-        )
-    endif()

=== debian/changelog ===
prboom-plus (2:2.6um-1) unstable; urgency=medium

  * New upstream version 2.6um
  * Do not install glboom-plus anymore, it has been superseded by
    plain prboom-plus.
  * Install prboom2/NEWS as upstream changelog.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 09 Feb 2021 13:56:30 +0100

prboom-plus (2:2.5.1.7um+git127-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git127
  * Adapt documentation install paths to upstream changes.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 01 Jan 2021 17:22:15 +0100

prboom-plus (2:2.5.1.7um+git102-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git102
  * Adapt documentation install paths to upstream changes.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 03 Nov 2020 21:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -54,8 +54,8 @@
  PrBoom+ requires game data to run. Free game data is available in the
  freedoom package. Commercial game data can be packaged using
  game-data-packager. PrBoom+ supports all flavors of Doom, including
- The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HACX,
- FreeDoom and FreeDM.
+ The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HacX,
+ Freedoom: Phase 1 and Phase 2 and FreeDM.
 
 Package: prboom-plus-game-server
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ \
		--sourcedirectory=prboom2 \
		--with bash_completion

override_dh_installchangelogs:
	dh_installchangelogs -- prboom2/NEWS

=== debian/watch ===
version=4
https://github.com/coelckers/@PACKAGE@/releases \
/coelckers/@PACKAGE@/archive/v@ANY_VERSION@@ARCHIVE_EXT@
